VPKCRequestBuilder (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.dvcs

## Class VPKCRequestBuilder

- java.lang.Object
- - org.bouncycastle.dvcs.DVCSRequestBuilder
  - - org.bouncycastle.dvcs.VPKCRequestBuilder

-     public class VPKCRequestBuilder
      extends DVCSRequestBuilder

  Builder of DVC requests to VPKC service (Verify Public Key Certificates).

- - ### Field Summary

    - ### Fields inherited from class org.bouncycastle.dvcs.DVCSRequestBuilder

      `requestInformationBuilder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VPKCRequestBuilder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addTargetChain(org.bouncycastle.asn1.x509.Extension extension)` Adds a TargetChain representing a single X.509 Extension to the request
    `void` | `addTargetChain(TargetChain targetChain)` Adds a X.509 certificate to the request.
    `void` | `addTargetChain(X509CertificateHolder cert)` Adds a TargetChain representing a X.509 certificate to the request.
    `DVCSRequest` | `build()` Build DVCS request to VPKC service.
    `void` | `setRequestTime(java.util.Date requestTime)`

    - ### Methods inherited from class org.bouncycastle.dvcs.DVCSRequestBuilder

      `addExtension, createDVCRequest, setDataLocations, setDataLocations, setDVCS, setDVCS, setNonce, setRequester`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VPKCRequestBuilder

          public VPKCRequestBuilder()

  - ### Method Detail

    - #### addTargetChain

          public void addTargetChain(X509CertificateHolder cert)

      Adds a TargetChain representing a X.509 certificate to the request.
      Parameters:
        `cert` - the certificate to be added

    - #### addTargetChain

          public void addTargetChain(org.bouncycastle.asn1.x509.Extension extension)

      Adds a TargetChain representing a single X.509 Extension to the request
      Parameters:
        `extension` - the extension to be added.

    - #### addTargetChain

          public void addTargetChain(TargetChain targetChain)

      Adds a X.509 certificate to the request.
      Parameters:
        `targetChain` - the CertChain object to be added.

    - #### setRequestTime

          public void setRequestTime(java.util.Date requestTime)

    - #### build

          public DVCSRequest build()
                            throws DVCSException

      Build DVCS request to VPKC service.
      Returns:
        a new DVCSRequest based on the state of this builder.
      Throws:
        `DVCSException` - if an issue occurs during construction.